/* ===============================
   IMAGE CAROUSEL CARD
================================= */

.images-carousel-card {
    width: 100%;
    max-width: 100%;

    border-radius: 16px;
    padding: 24px;

    box-shadow:
        0 15px 30px rgba(0, 0, 0, 0.65),
        0 5px 15px rgba(0, 0, 0, 0.45);

    border-radius: 12px;
  backdrop-filter: blur(5px);
    overflow: hidden;


}

.images-carousel-card:hover {
    transform: translateY(-5px);
    overflow: hidden;
    border-radius: 12px;

    box-shadow:
        0 20px 35px rgba(0, 0, 0, 0.8),
        0 8px 20px rgba(0, 0, 0, 0.6);
}


/* ===============================
   SPLIT: TEKST LINKS / CAROUSEL RECHTS
================================= */

.carousel-card-content {
    display: flex;
    gap: 2.5rem;
    align-items: flex-start;

}

/* Tekst links */
.carousel-text {
    flex: 1.3;
}

.carousel-text h3 {
    margin-bottom: 0.75rem;
    color: rgb(252, 211, 108);
}

.carousel-text p {
    line-height: 1.6;
    color: white;

}

/* ===============================
   CAROUSEL CONTAINER
================================= */

.carousel {
    flex: 0 0 300px;
    position: relative;
    width: 100%;
    height: 100%;

    overflow: visible;

    overflow: visible;
    perspective: 1200px;
    transform-style: preserve-3d;
    box-shadow:
        0 15px 30px rgba(0, 0, 0, 0.65),
        0 5px 15px rgba(0, 0, 0, 0.45);

    border-radius: 12px;
}

/* ================
   CAROUSEL IMAGES 
===================*/

.carousel img {
    position: absolute;
    inset: 0;

    width: 100%;
    height: 100%;

    object-fit: cover;


    opacity: 0;
    transform: rotateY(70deg) translateZ(-80px) scale(0.9);
    transform-origin: center center;

    transition:
        transform 0.9s ease,
        opacity 0.6s ease;

    backface-visibility: hidden;
    border-radius: 12px;

}

/* Actieve afbeelding */
.carousel img.active {
    position: relative;

    opacity: 1;
    transform: rotateY(0deg) scale(1);
    z-index: 2;
}

/* Wegdraaiende afbeelding */
.carousel img.exit {
    opacity: 0;
    transform: rotateY(-90deg) scale(0.95);
    z-index: 1;
}


/* ===============================
   MOBIEL
================================= */

@media (max-width: 900px) {

    .carousel-card-content {
        flex-direction: column;
    }

    .images-carousel-card {
        padding: 18px;
    }

    .carousel img {
        transform: rotateY(0deg) scale(1);
    }
}